> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/changelogs/version-5/v5-2-0.md).

# Version 5.2.0 Changelog (2019-08-06)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

## New

* [AnnotationManager.groupAnnotations](https://sdk.apryse.com/api/web/Core.AnnotationManager.html#groupAnnotations__anchor)
* [AnnotationManager.ungroupAnnotations](https://sdk.apryse.com/api/web/Core.AnnotationManager.html#ungroupAnnotations__anchor)
* [Tools.EraserTool](https://sdk.apryse.com/api/web/Core.Tools.EraserTool.html)
* [DistanceMeasurementCreateTool.setEnableLeaderLines](https://sdk.apryse.com/api/web/Core.Tools.DistanceMeasurementCreateTool.html#setEnableLeaderLines__anchor)
* [StickyCreateTool.setAllowCreationOverAnnotation](https://sdk.apryse.com/api/web/Core.Tools.StickyCreateTool.html#setAllowCreationOverAnnotation__anchor)
* [CoreControls.setExternalPath](https://sdk.apryse.com/api/web/Core.html#.setExternalPath__anchor)

## Updates

* Added support for annotation grouping. When multiple annotations are selected a "group" button will appear allowing multiple annotations to be grouped together.
* Added a new eraser tool which will delete paths for freehand annotations and completely delete other annotations
* Added support for editing leader lines on distance measurement annotations using the [setEnableLeaderLines](https://sdk.apryse.com/api/web/Core.Tools.DistanceMeasurementCreateTool.html#setEnableLeaderLines__anchor) function
* Added support for annotation dashed line rendering
* Added support for pinch zooming when annotation tools are enabled
* Updated viewer rotation to be synced in the [diff sample](https://sdk.apryse.com/samples/web/samples/advanced/diff/)
* Updated the annotation multiselect tool to work with touch events
* Added support for the util.scand function in embedded JavaScript
* Improved the handling of 12h formatted dates with embedded JavaScript
* Enable appearance rendering for highlight annotations

## Fixes

* Fixed issues with iOS reaching the canvas memory limit, allowing continuous mode to work again without issues
* Fixed issue with adding a FreeText annotation programmatically to a non-visible page
* Fixed issues with watermarks not working consistently with documents loaded from WebViewer Server
* Fixed issue with loading some documents when the path is on another domain
* Fixed issue with FitR GoTo actions
* Fixed issue with slow synced scrolling in some browsers in the diff sample
* Fixed issue with the startOffline option not working with the new UI
* Fixed issue where the mouse cursor would change to "move" when over top of an annotation that was readonly
* Fixed issue with loading config files when there are multiple WebViewer instances loaded on a page
* Fixed issue where FreeText annotations with a stroke thickness would decrease in size after editing
* Fixed issues with linking signature widgets and free hand annotations on load
* Fixed issue where sometimes annotations with appearances wouldn't be visible
* Fixed issue with sticky note rendering on rotated pages
* Fixed issue with new lines not working correctly for auto-sized FreeText annotations in Firefox
* Fixed issue where FreeText annotations disappear on iOS if you pinch zoom while editing
* Fixed issue with exporting FreeText annotation fonts with spaces in the name


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/changelogs/version-5/v5-2-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
